#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private itcTTMSqueeze[] cacheitcTTMSqueeze;

		
		public itcTTMSqueeze itcTTMSqueeze(string softwareDescription, string machineAccount, string softwareActivationKey, int period, double keltnerMulti, double bollingerMulti, Brush squeezeDotBrush, Brush signalDotBrush, Brush normalDotBrush, bool useHistogram, Brush histAboveZeroRising, Brush histAboveZeroFalling, Brush histBelowZeroFalling, Brush histBelowZeroRising)
		{
			return itcTTMSqueeze(Input, softwareDescription, machineAccount, softwareActivationKey, period, keltnerMulti, bollingerMulti, squeezeDotBrush, signalDotBrush, normalDotBrush, useHistogram, histAboveZeroRising, histAboveZeroFalling, histBelowZeroFalling, histBelowZeroRising);
		}


		
		public itcTTMSqueeze itcTTMSqueeze(ISeries<double> input, string softwareDescription, string machineAccount, string softwareActivationKey, int period, double keltnerMulti, double bollingerMulti, Brush squeezeDotBrush, Brush signalDotBrush, Brush normalDotBrush, bool useHistogram, Brush histAboveZeroRising, Brush histAboveZeroFalling, Brush histBelowZeroFalling, Brush histBelowZeroRising)
		{
			if (cacheitcTTMSqueeze != null)
				for (int idx = 0; idx < cacheitcTTMSqueeze.Length; idx++)
					if (cacheitcTTMSqueeze[idx].SoftwareDescription == softwareDescription && cacheitcTTMSqueeze[idx].MachineAccount == machineAccount && cacheitcTTMSqueeze[idx].SoftwareActivationKey == softwareActivationKey && cacheitcTTMSqueeze[idx].Period == period && cacheitcTTMSqueeze[idx].KeltnerMulti == keltnerMulti && cacheitcTTMSqueeze[idx].BollingerMulti == bollingerMulti && cacheitcTTMSqueeze[idx].SqueezeDotBrush == squeezeDotBrush && cacheitcTTMSqueeze[idx].SignalDotBrush == signalDotBrush && cacheitcTTMSqueeze[idx].NormalDotBrush == normalDotBrush && cacheitcTTMSqueeze[idx].UseHistogram == useHistogram && cacheitcTTMSqueeze[idx].HistAboveZeroRising == histAboveZeroRising && cacheitcTTMSqueeze[idx].HistAboveZeroFalling == histAboveZeroFalling && cacheitcTTMSqueeze[idx].HistBelowZeroFalling == histBelowZeroFalling && cacheitcTTMSqueeze[idx].HistBelowZeroRising == histBelowZeroRising && cacheitcTTMSqueeze[idx].EqualsInput(input))
						return cacheitcTTMSqueeze[idx];
			return CacheIndicator<itcTTMSqueeze>(new itcTTMSqueeze(){ SoftwareDescription = softwareDescription, MachineAccount = machineAccount, SoftwareActivationKey = softwareActivationKey, Period = period, KeltnerMulti = keltnerMulti, BollingerMulti = bollingerMulti, SqueezeDotBrush = squeezeDotBrush, SignalDotBrush = signalDotBrush, NormalDotBrush = normalDotBrush, UseHistogram = useHistogram, HistAboveZeroRising = histAboveZeroRising, HistAboveZeroFalling = histAboveZeroFalling, HistBelowZeroFalling = histBelowZeroFalling, HistBelowZeroRising = histBelowZeroRising }, input, ref cacheitcTTMSqueeze);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.itcTTMSqueeze itcTTMSqueeze(string softwareDescription, string machineAccount, string softwareActivationKey, int period, double keltnerMulti, double bollingerMulti, Brush squeezeDotBrush, Brush signalDotBrush, Brush normalDotBrush, bool useHistogram, Brush histAboveZeroRising, Brush histAboveZeroFalling, Brush histBelowZeroFalling, Brush histBelowZeroRising)
		{
			return indicator.itcTTMSqueeze(Input, softwareDescription, machineAccount, softwareActivationKey, period, keltnerMulti, bollingerMulti, squeezeDotBrush, signalDotBrush, normalDotBrush, useHistogram, histAboveZeroRising, histAboveZeroFalling, histBelowZeroFalling, histBelowZeroRising);
		}


		
		public Indicators.itcTTMSqueeze itcTTMSqueeze(ISeries<double> input , string softwareDescription, string machineAccount, string softwareActivationKey, int period, double keltnerMulti, double bollingerMulti, Brush squeezeDotBrush, Brush signalDotBrush, Brush normalDotBrush, bool useHistogram, Brush histAboveZeroRising, Brush histAboveZeroFalling, Brush histBelowZeroFalling, Brush histBelowZeroRising)
		{
			return indicator.itcTTMSqueeze(input, softwareDescription, machineAccount, softwareActivationKey, period, keltnerMulti, bollingerMulti, squeezeDotBrush, signalDotBrush, normalDotBrush, useHistogram, histAboveZeroRising, histAboveZeroFalling, histBelowZeroFalling, histBelowZeroRising);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.itcTTMSqueeze itcTTMSqueeze(string softwareDescription, string machineAccount, string softwareActivationKey, int period, double keltnerMulti, double bollingerMulti, Brush squeezeDotBrush, Brush signalDotBrush, Brush normalDotBrush, bool useHistogram, Brush histAboveZeroRising, Brush histAboveZeroFalling, Brush histBelowZeroFalling, Brush histBelowZeroRising)
		{
			return indicator.itcTTMSqueeze(Input, softwareDescription, machineAccount, softwareActivationKey, period, keltnerMulti, bollingerMulti, squeezeDotBrush, signalDotBrush, normalDotBrush, useHistogram, histAboveZeroRising, histAboveZeroFalling, histBelowZeroFalling, histBelowZeroRising);
		}


		
		public Indicators.itcTTMSqueeze itcTTMSqueeze(ISeries<double> input , string softwareDescription, string machineAccount, string softwareActivationKey, int period, double keltnerMulti, double bollingerMulti, Brush squeezeDotBrush, Brush signalDotBrush, Brush normalDotBrush, bool useHistogram, Brush histAboveZeroRising, Brush histAboveZeroFalling, Brush histBelowZeroFalling, Brush histBelowZeroRising)
		{
			return indicator.itcTTMSqueeze(input, softwareDescription, machineAccount, softwareActivationKey, period, keltnerMulti, bollingerMulti, squeezeDotBrush, signalDotBrush, normalDotBrush, useHistogram, histAboveZeroRising, histAboveZeroFalling, histBelowZeroFalling, histBelowZeroRising);
		}

	}
}

#endregion
